<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

//Libreria para administrar el contenido de la barra lateral
class Sidebar_library
{
	// Propiedades
	public $sidebar = array();
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		if (!isset($this->CI))
		{
			$this->CI =& get_instance();
		}
		
		$this->CI->config->load('database_tables', TRUE);
		
		$this->_table = $this->CI->config->item('database_tables');
		
		$this->get_sidebar_items();
	}

	// Metodos publicos
	public function get_sidebar_items()
	{
		$this->CI->db->select('titulo, file, estado');
		$this->CI->db->where('estado', 'enabled');
		$this->CI->db->order_by('titulo', 'ASC');
		
		$query = $this->CI->db->get($this->_table['sidebar']);

		if ($query->num_rows() > 0)
		{
			$result = $query->result_array();

			foreach ($result as $row)
			{
				$this->sidebar[] = $row;
			}
		}
	}
}
?>
