<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Calendario extends Controller{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();
			
		//Cargamos modelos necesarios
		$this->load->module_model('admin', 'calendario_model', 'calendario');
		//$this->load->module_model('admin', 'users_model', 'usuario');
		$this->load->library('phpass_library');
	}

	// Métodos públicos
	public function index()
	{
		$this->form_validation->set_rules('ponencia', 'Ponencia', 'required|xss_clean');
		//$this->form_validation->set_rules('ponente', 'Ponente', 'required|xss_clean');
		$this->form_validation->set_rules('dia', 'Dia', 'required|xss_clean');
		$this->form_validation->set_rules('hora', 'Hora', 'required|xss_clean');

		$this->form_validation->set_error_delimiters('', '<br />');

		$data['ponencias'] = $this->calendario->listar_ponencias();
		$data['eventos'] = $this->calendario->listar_eventos();
		$data['defecto']['evento'] = $this->calendario->listar_evento_defecto();
		//$data['usuarios'] =$this->usuario->listar_usuarios();

		if ($this->form_validation->run() == TRUE)
		{
			$user_id = $this->calendario->conseguir_id_ponente();
			$ponente = $this->calendario->conseguir_nombre_ponente($user_id);
			$this->calendario->crear_calendario($ponente);
			$this->session->set_flashdata('message', 'Calendario actualizado correctamente');
			//$this->certificado->crear_certificado($data, $data['usuarios']);
			redirect('admin/calendario', 'refresh');
		}
		

		$this->_template['pagina'] = 'calendario/listar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}

	public function generar(){
		if ($this->access_library->is_logged_in())
		{
			//$datos['sesiones'] = $this->calendario->obtener_eventos();
			$this->calendario->crear_calendario_pdf(/*$datos['sesiones']*/);
		}
		else
		{
			redirect('usuario/login', 'refresh');
		}
	}
}

?>
