<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Certificado extends Controller{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();
			
		//Cargamos modelos necesarios
		$this->load->module_model('admin', 'certificado_model', 'certificado');
		$this->load->module_model('admin', 'users_model', 'usuario');
		$this->load->library('phpass_library');
	}

	// Métodos públicos
	public function index()
	{

		$this->form_validation->set_rules('certificado', 'Certificado', 'required|numeric');

		$this->form_validation->set_error_delimiters('', '<br />');

		$data['certificados'] = $this->certificado->listar_certificados();
		$data['defecto']['certificado'] = $this->certificado->listar_certificado_defecto();
		//$data['usuarios'] =$this->usuario->listar_usuarios();

		if ($this->form_validation->run() == TRUE)
		{
			$this->certificado->actualizar_certificados();

			$this->session->set_flashdata('message', 'Plantilla cambiada correctamente');
			//$this->certificado->crear_certificado($data, $data['usuarios']);
			redirect('admin/certificado', 'refresh');
		}
		

		$this->_template['pagina'] = 'certificado/listar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}


	public function enviar()
	{
		if ($this->access_library->is_logged_in())
		{
			$this->form_validation->set_rules('nombre', 'Nombre', 'required|xss_clean');
			$this->form_validation->set_rules('autor', 'Autor', 'required|xss_clean');

			$this->form_validation->set_error_delimiters('', '<br />');
		
			if ($this->form_validation->run() == TRUE)
			{
				$this->certificado->enviar_certificado($_FILES);
				$this->session->set_flashdata('message', 'Plantilla enviada satisfactoriamente');

				redirect('admin/certificado/enviar', 'refresh');
			}
		
			$this->_template['pagina'] = 'certificado/enviar';

			$this->system_library->load($this->_template['pagina'], NULL, TRUE);
		}
		else
		{
			redirect('usuario/login', 'refresh');
		}
	}

	public function crear($id)
	{
		$data['usuario'] =$this->usuario->listar_usuario($id);

		$this->certificado->crear_certificado($data);
	}
}

?>
