<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Comentarios extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();

		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();
			
		// Cargamos modulos y demás ficheros necesarios
		$this->load->module_model('admin', 'comentarios_model', 'comentarios');
		$this->load->module_model('noticias', 'users_model', 'users');
	}

	// Métodos públicos
	public function index()
	{
		$this->load->helper('text');
		
		if ($data['comentarios'] = $this->comentarios->listar_comentarios())
		{
			foreach ($data['comentarios'] as $key => $comentario)
			{
				$data['comentarios'][$key]['post_url'] = date('Y', strtotime($comentario['fecha_posteo'])) . '/' . date('m', strtotime($comentario['fecha_posteo'])) . '/' . date('d', strtotime($comentario['fecha_posteo'])) . '/' .$comentario['url_titulo']  . '#comentario-' . $comentario['id'];
				
				if ($comentario['user_id'] != "")
				{
					$display_name = $this->users->conseguir_display_name_usuario($comentario['user_id']);
					$data['comentarios'][$key]['autor'] = $display_name;
				}
			}
		}

		$this->_template['pagina']	= 'comments/listar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
	
	public function editar($id = NULL)
	{
		if ($id == NULL)
		{
			$id = $this->input->post('id');
		}
		
		$this->form_validation->set_rules('comentario', 'Comentario', 'required|xss_clean');

		$this->form_validation->set_error_delimiters('', '<br />');
			
		$data['comentario'] = $this->comentarios->listar_comentario($id);
			
		if ($this->form_validation->run() == TRUE)
		{
			$this->comentarios->editar_comentario($id);
			$this->session->set_flashdata('message', 'Comentario editado satisfactoriamente');

			redirect('admin/comentarios', 'refresh');
		}

		$this->_template['pagina'] = 'comments/editar';
			
		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}


	public function eliminar($id)
	{
		$this->comentarios->eliminar_comentario($id);
		$this->session->set_flashdata('message', 'Comentario eliminado satisfactoriamente');

		redirect('admin/comentarios', 'refresh');
	}
}

?>
