<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Calendario_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function listar_eventos()
	{
		$this->db->select('id, nombre');

		$query = $this->db->get($this->_table['cfp']);
			
		if ($query->num_rows() > 0)
		{
			foreach ($query->result_array() as $row)
			{
				$data[$row['nombre']] = $row['nombre'];
			}

			return $data;
		}
	}

	public function listar_evento_defecto()
	{
		$this->db->select('id, nombre');
		$this->db->where('id', '1');
			
		$query = $this->db->get($this->_table['cfp'], 1);
			
		if ($query->num_rows() == 1)
		{
			$row = $query->row_array();

			return $row['nombre'];
		}
	}

	public function listar_ponencias()
	{
		$this->db->select('ponencia, ponente, dia, hora');
			
		$query = $this->db->get($this->_table['calendario']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}


	}

	public function conseguir_id_ponente()
	{
		$this->db->select('user_id');
		$this->db->where('nombre', $this->input->post('ponencia'));
			
		$query = $this->db->get($this->_table['cfp'], 1);
			
		if ($query->num_rows() == 1)
		{
			$row = $query->row_array();

			return $row['user_id'];
		}


	}

	public function conseguir_nombre_ponente($user_id)
	{
			$this->db->select('nombre, apellidos');
			$this->db->where('id' ,$user_id);

			$query = $this->db->get($this->_table['usuarios'], 1);
			
			if ($query->num_rows() == 1)
			{
				$row = $query->row_array();

				return $row['nombre']." ".$row['apellidos'];
			}

	}

	public function crear_calendario($ponente)
	{
			$this->db->select('ponencia');
			$this->db->where('ponencia', $this->input->post('ponencia'));
			$query = $this->db->get($this->_table['calendario']);
			
			if ($query->num_rows() == 1){
				$data = array
					(
						'ponente' => $ponente,
						'dia' => $this->input->post('dia'),
						'hora' => $this->input->post('hora')
					);
				$this->db->where('ponencia', $this->input->post('ponencia'));
				$this->db->update($this->_table['calendario'], $data);	
			}
			else{
				$data = array
					(
						'ponencia' => $this->input->post('ponencia'),	
						'ponente' => $ponente,
						'dia' => $this->input->post('dia'),
						'hora' => $this->input->post('hora')
					);
			
				$this->db->insert($this->_table['calendario'], $data);	
			}
	}

	/*public function obtener_eventos()
	{
		$this->db->select('id, ponencia, ponente, dia, hora');
			
		$query = $this->db->get($this->_table['calendario']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}

	}*/

	public function crear_calendario_pdf(/*$sesiones*/)
	{
		$pdf=new PDF_library();
		$pdf->AddPage();
		$prop=array('HeaderColor'=>array(0,0,139),
            		    'color1'=>array(135,206,250),
                            'color2'=>array(30,144,255),
                            'padding'=>2);
		//Table: put all columns automatically
		$pdf->Table('select dia,hora,ponencia,ponente from calendario order by dia,hora', $prop);

		$pdf->Output();
	}
}
?>
