<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Certificado_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function enviar_certificado($fichero)
	{		
		if(sizeof($fichero)==0){
				echo "No se ha podido subir el fichero";
				exit();
		}
		
		//En esta variable almacenamos el nombre temporal del fichero (es generado por el servidor)
			$archivo = $fichero["archivo"]["tmp_name"];
			
			//Creamos un array para almacenar el tamanio del fichero
			$tamanio=array();
			
			//Obtenemos el tamanio del fichero
			$tamanio=$fichero["archivo"]["size"];
			
			//Obtenemos el tipo MIME del fichero
			$tipo=$fichero["archivo"]["type"];
			
			//Obtenemos el nombre real del fichero
			$nombre_archivo=$fichero["archivo"]["name"];
			
			//Extraemos los datos del request (por comodidad)
			extract($_REQUEST);
			
			if($archivo != "none"){
				//Abrimos el archivo en modo solo lectura
				$fp=fopen($archivo,"rb");
				
				//Leemos el contenido
				$contenido=fread($fp,$tamanio);
				
				//Con addslashes añadimos un \ delante de cada comilla simple ' para que no nos genere
				//un error al realizar la consulta.
				$contenido=addslashes($contenido);
				
				//Cerramos el archivo
				fclose($fp);
				
				//Obtenemos el tamaño del fichero
				$bytes=(float)$tamanio;
				if($bytes<1024){
					$bytes=array($bytes,"bytes");
				}
				elseif($bytes>=1024 && $bytes<1048576){
					$filesize=round($bytes/1024,2);
					$bytes=array($filesize,"KB");
				}
				elseif($bytes>=1048576){
					$filesize=round($bytes/1048576,2);
					$bytes=array($filesize,"MB");
				}
				
				/*$data = array
						(
						'nombre' => $this->input->post('nombre'),
						'nombre_fichero' => $nombre_archivo,
						'tipo' => $tipo,
						'tamanio' => $bytes[0],
						'tamanio_unidad' => $bytes[1],
						'user_id' => $this->session->userdata('user_id'),
						'tema' => $this->input->post('tema'),
						'descripcion' => $this->input->post('descripcion'),
						'contenido' => $contenido,
						'fecha_envio' => date('Y-m-d H:i:s')
						);

				$this->db->insert($this->_table['cfp'], $data);*/
				
				$usuario=$this->session->userdata('user_id');
				$fecha=date('Y-m-d H:i:s');

				//Creamos la consulta
				$query= "INSERT INTO certificado (nombre, nombre_fichero, autor, contenido, tamanio, tamanio_unidad, tipo, por_defecto) VALUES ('$nombre','$nombre_archivo','$autor','$contenido','{$bytes[0]}','{$bytes[1]}','$tipo','0')";
			
				$this->db->query($query);

				if(is_uploaded_file($archivo)){
					$filename = $nombre_archivo;
            				$filetype = $tipo;
            				$filesize = $tamanio;
            				$fileaddress = $fichero['archivo']['tmp_name'];
            
            				$dest=$filename;
              				$newaddress="application/modules/certificado/".$dest;

            				move_uploaded_file($fileaddress,$newaddress);
				}
			}
			else{}
	}

	public function listar_certificados()
	{
		$this->db->select('id, nombre');

		$query = $this->db->get($this->_table['certificado']);
			
		if ($query->num_rows() > 0)
		{
			foreach ($query->result_array() as $row)
			{
				$data[$row['id']] = $row['nombre'];
			}

			return $data;
		}
	}
	
	public function listar_certificado_defecto()
	{
		$this->db->select('id');
		$this->db->where('por_defecto', '1');
			
		$query = $this->db->get($this->_table['certificado'], 1);
			
		if ($query->num_rows() == 1)
		{
			$row = $query->row_array();

			return $row['id'];
		}
	}

	public function actualizar_certificados()
	{
		$this->db->set('por_defecto', '0');
		$this->db->where('id !=', $this->input->post('certificado'));
		$this->db->update($this->_table['certificado']);
								
		$this->db->set('por_defecto', '1');
		$this->db->where('id', $this->input->post('certificado'));
		$this->db->update($this->_table['certificado']);	
	}	

	public function crear_certificado($data)
	{
			$qry="SELECT * FROM certificado WHERE por_defecto!=1";
			$res=mysql_query($qry) or die(mysql_error()."qry::$qry");
			$obj=mysql_fetch_object($res);
			
			$archivos = array('.rtf','.pdf');
			$extension = strtolower(strstr($obj->nombre_fichero,'.'));
			if(strpos($obj->nombre_fichero,'/')!==FALSE)
				exit("Los ficheros de otros <b>directorios</b> no son descargables.");
			if(!in_array($extension,$archivos))
				exit("Los archivos con extension <b>".$extension."</b> no son archivos descargables.");

			  $nombre = utf8_decode($data['usuario']['nombre'])." ".utf8_decode($data['usuario']['apellidos']);
			  $score = '100';			

			  if(!$nombre){
				echo  '<h1>Error:</h1>La página no fue llamada correctamente';
			  }
			  else{
			    	if($extension=='.rtf'){
					header("Content-type: application/msword");
					header('Content-Disposition: inline, filename=Certificado.rtf');
			
					$date = date('d F, Y');
	
					$filename= base_url().'application/modules/certificado/'.$obj->nombre_fichero;
					$output = file_get_contents($filename);

					$output = str_replace('<<NAME>>', strtoupper($nombre), $output);
					$output = str_replace('<<Name>>', $nombre, $output);
					$output = str_replace('<<score>>', $score, $output);
					$output = str_replace('<<mm/dd/yyyy>>', $date, $output);
					
					echo $output;
				}
				elseif($extension=='.pdf'){
					header("Content-type: application/pdf");
					header('Content-Disposition: filename=Certificado.pdf');
			
					$date = date('d F, Y');
	
					$filename= base_url().'application/modules/certificado/'.$obj->nombre_fichero;
					$output = file_get_contents($filename);

					$output = $this->pdf_replace('<<NAME>>', strtoupper($nombre), $output);
					$output = $this->pdf_replace('<<Name>>', $nombre, $output);
					$output = $this->pdf_replace('<<score>>', $score, $output);
					$output = $this->pdf_replace('<<mm/dd/yyyy>>', $date, $output);

					echo $output;
				}
				else{
					exit("Los archivos con extension <b>".$extension."</b> no son archivos descargables.");
				}
			  }	
	}
	
	protected function pdf_replace($pattern, $replacement, $string)
	{
		$len = strlen($pattern);
		$regex = '';
		for($i=0;$i<$len;$i++)
		{
			$regex .= $pattern[$i];
			if($i<$len-1)
				$regex .= '(\)-?[0-9]+\()?';
		}
		return ereg_replace($regex, $replacement, $string);
	}
}
?>
