<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Sidebar_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}
	
	// Métodos públicos
	public function listar_sidebar()
	{
		$this->db->select('id, titulo, file, estado');
		$this->db->order_by('titulo', 'ASC');
			
		$query = $this->db->get($this->_table['sidebar']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
	}
	
	public function activo_sidebar_item($id)
	{
		$this->db->set('estado', 'enabled');
		
		$this->db->where('id', $id);
		$this->db->update($this->_table['sidebar']);
	}
	
	public function inactivo_sidebar_item($id)
	{
		$this->db->set('estado', 'disabled');
		
		$this->db->where('id', $id);
		$this->db->update($this->_table['sidebar']);
	}
	
	public function eliminar_sidebar_item($id)
	{
		$this->db->where('id', $id);
		$this->db->delete($this->_table['sidebar']);
	}
}
?>
