<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Cfp extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();

		// Cargamos modulos y librerias necesarias
		$this->load->module_model('cfp', 'cfp_model', 'cfp');
		
		$this->load->library('phpass_library');
	}

	// Métodos públicos
	public function enviar()
	{
		if ($this->access_library->is_logged_in())
		{
			$this->form_validation->set_rules('nombre', 'T&iacute;tulo', 'required|max_length[50]|xss_clean');
			$this->form_validation->set_rules('tema', 'Tema', 'required|max_length[100]|xss_clean');
			$this->form_validation->set_rules('descripcion', 'Descripcion', 'required|xss_clean');
			//$this->form_validation->set_rules('password_retype', 'Confirmacion Password', 'required');
			//$this->form_validation->set_rules('email', 'Email', 'required|valid_email|callback_comprueba_email');
			//$this->form_validation->set_rules('website', 'Website', 'xss_clean');;			

			$this->form_validation->set_error_delimiters('', '<br />');
					
			if ($this->form_validation->run() == TRUE)
			{
				$this->cfp->enviar_cfp($_FILES);
				$this->session->set_flashdata('message', 'CFP enviado satisfactoriamente');
		
				redirect('cfp/enviar', 'refresh');
			}
					
		$this->_template['pagina']	= 'cfp/send';
					
		$this->system_library->load($this->_template['pagina']);
		}
		else
		{
			redirect('usuario/login', 'refresh');
		}
	}
}
?>
