<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Cfp_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}
	
	// Métodos públicos
	public function enviar_cfp($fichero)
	{		
		if(sizeof($fichero)==0){
				echo "No se ha podido subir el fichero";
				exit();
		}
		
		//En esta variable almacenamos el nombre temporal del fichero (es generado por el servidor)
			$archivo = $fichero["archivo"]["tmp_name"];
			
			//Creamos un array para almacenar el tamanio del fichero
			$tamanio=array();
			
			//Obtenemos el tamanio del fichero
			$tamanio=$fichero["archivo"]["size"];
			
			//Obtenemos el tipo MIME del fichero
			$tipo=$fichero["archivo"]["type"];
			
			//Obtenemos el nombre real del fichero
			$nombre_archivo=$fichero["archivo"]["name"];
			
			//Extraemos los datos del request (por comodidad)
			extract($_REQUEST);
			
			if($archivo != "none"){
				//Abrimos el archivo en modo solo lectura
				$fp=fopen($archivo,"rb");
				
				//Leemos el contenido
				$contenido=fread($fp,$tamanio);
				
				//Con addslashes añadimos un \ delante de cada comilla simple ' para que no nos genere
				//un error al realizar la consulta.
				$contenido=addslashes($contenido);
				
				//Cerramos el archivo
				fclose($fp);
				
				//Obtenemos el tamaño del fichero
				$bytes=(float)$tamanio;
				if($bytes<1024){
					$bytes=array($bytes,"bytes");
				}
				elseif($bytes>=1024 && $bytes<1048576){
					$filesize=round($bytes/1024,2);
					$bytes=array($filesize,"KB");
				}
				elseif($bytes>=1048576){
					$filesize=round($bytes/1048576,2);
					$bytes=array($filesize,"MB");
				}
				
				/*$data = array
						(
						'nombre' => $this->input->post('nombre'),
						'nombre_fichero' => $nombre_archivo,
						'tipo' => $tipo,
						'tamanio' => $bytes[0],
						'tamanio_unidad' => $bytes[1],
						'user_id' => $this->session->userdata('user_id'),
						'tema' => $this->input->post('tema'),
						'descripcion' => $this->input->post('descripcion'),
						'contenido' => $contenido,
						'fecha_envio' => date('Y-m-d H:i:s')
						);

				$this->db->insert($this->_table['cfp'], $data);*/
				
				$usuario=$this->session->userdata('user_id');
				$fecha=date('Y-m-d H:i:s');

				//Creamos la consulta
				$query= "INSERT INTO cfp (nombre, nombre_fichero, descripcion, contenido, tamanio, tamanio_unidad, tipo, user_id, tema, fecha_envio) VALUES ('$nombre','$nombre_archivo','$descripcion','$contenido','{$bytes[0]}','{$bytes[1]}','$tipo','$usuario','$tema','$fecha')";
			
				$this->db->query($query);
			}
			else{}
	}
}
?>
