<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Comentarios_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function listar_comentarios($post_id)
	{
		$this->db->select('id, user_id, autor, autor_email, autor_website, contenido, fecha');
		$this->db->where('post_id', $post_id);
		$this->db->order_by('id', 'ASC');
		$query = $this->db->get($this->_table['comentarios']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
	}
	
	public function listar_ultimos_comentarios($numero = 10, $offset = 0)
	{
		$this->db->select('comentarios.id, comentarios.user_id, comentarios.autor, comentarios.autor_email, comentarios.autor_website, comentarios.contenido, comentarios.fecha, posts.titulo, posts.url_titulo, posts.fecha_posteo');
		$this->db->from($this->_table['comentarios'] . ' comentarios');
		$this->db->join($this->_table['posts'] . ' posts', 'comentarios.post_id = posts.id');
		$this->db->order_by('comentarios.id', 'DESC');
		$this->db->limit($numero, $offset);
		
		$query = $this->db->get();
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
	}
	
	public function ver_autor_comentario($id)
	{
		$this->db->select('user_id, autor');
		$this->db->where('id', $id);
		
		$query = $this->db->get($this->_table['comentarios'], 1);
		
		if ($query->num_rows() == 1)
		{
			$row = $query->row_array();
			
			if ($row['user_id'] == "")
			{
				return $row['autor'];
			}
		}
	}

	public function crear_comentario($id)
	{
		if ($this->session->userdata('logged_in') == TRUE)
		{
			$data = array
						(
							'post_id' => $id,
							'user_id' => $this->session->userdata('user_id'),
							'autor_ip' => $_SERVER['REMOTE_ADDR'],
							'contenido' => $this->input->post('comentario'),
							'fecha' => date('Y-m-d H:i:d')
						);
		}
		else
		{
			$data = array
						(
							'post_id' => $id,
							'autor' => $this->input->post('nickname'),
							'autor_email' => $this->input->post('email'),
							'autor_website' => $this->input->post('website'),
							'autor_ip' => $_SERVER['REMOTE_ADDR'],
							'contenido' => $this->input->post('comentario'),
							'fecha' => date('Y-m-d H:i:d')
						);
		}

		$this->db->insert($this->_table['comentarios'], $data);
	}
}

?>
