# Table: 'comentarios' structure
CREATE TABLE `comentarios` (
  `id` int(11) NOT NULL auto_increment,
  `post_id` int(11) default '0',
  `user_id` int(11) default NULL,
  `autor` varchar(50) default NULL,
  `author_email` varchar(100) default NULL,
  `autor_website` varchar(200) default NULL,
  `autor_ip` varchar(100) NOT NULL,
  `contenido` text,
  `fecha` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;


# Table: 'enlaces' structure
CREATE TABLE `enlaces` (
  `id` int(11) NOT NULL auto_increment,
  `nombre` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `target` enum('blank','self','parent') default 'blank',
  `descripcion` varchar(100) default NULL,
  `visible` enum('si','no') default 'si',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'enlaces' data
INSERT INTO `enlaces` (`id`, `nombre`, `url`, `target`, `descripcion`, `visible`) VALUES(1, 'OpenConference', 'http://forja.rediris.es/projects/openconference', 'blank', 'OpenConference', 'si');
INSERT INTO `enlaces` (`id`, `nombre`, `url`, `target`, `descripcion`, `visible`) VALUES(2, 'UCA', 'http://www.uca.es', 'blank', 'Universidad de Cádiz', 'si');

# Table: 'navegacion' structure
CREATE TABLE `navegacion` (
  `id` int(11) NOT NULL auto_increment,
  `titulo` varchar(50) default NULL,
  `descripcion` varchar(100) default NULL,
  `url` varchar(255) default NULL,
  `externo` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'navegacion' data
INSERT INTO `navegacion` (`id`, `titulo`, `descripcion`, `url`, `externo`) VALUES(1, 'Home', 'Index', 'index.php', '0');

# Table: 'paginas' structure
CREATE TABLE `paginas` (
  `id` int(11) NOT NULL auto_increment,
  `titulo` varchar(200) default NULL,
  `url_titulo` varchar(200) default NULL,
  `autor` int(11) default '0',
  `fecha` date default NULL,
  `contenido` text,
  `estado` enum('activo','inactivo') default 'activo',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'posts' structure
CREATE TABLE `posts` (
  `id` int(11) NOT NULL auto_increment,
  `autor` int(11) NOT NULL default '0',
  `fecha_posteo` date NOT NULL default '0000-00-00',
  `titulo` varchar(200) character set utf8 NOT NULL,
  `url_titulo` varchar(200) character set utf8 NOT NULL,
  `excerpt` text character set utf8 NOT NULL,
  `contenido` longtext character set utf8 NOT NULL,
  `permitir_comentarios` enum('0','1') character set utf8 NOT NULL default '1',
  `sticky` enum('0','1') NOT NULL default '0',
  `estado` enum('borrador','publicado') character set utf8 NOT NULL default 'publicado',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'posts' data
INSERT INTO `posts` (`id`, `autor`, `fecha_posteo`, `titulo`, `url_titulo`, `excerpt`, `permitir_comentarios`, `estado`) VALUES(1, 1, '2009-10-01', 'Bienvenido a OpenConference', 'bienvenido-a-openconference', '<p>¡Felicidades!</p>\n<p>Si puedes ver esta noticia significa que OpenConference se ha instalado correctamente.</p>\n<p>Si necesitas ayuda, visita la p&aacute;gina de <a href="http://forja.rediris.es/projects/openconference" target="_blank">OpenConference</a>.</p>\n<p>Atentamente,<br />el equipo OpenConference</p>\n<p><em>Esto es un ejemplo de noticia, puedes eliminarla si quieres.</em></p>', '1', 'publicado');

# Table: 'settings' structure
CREATE TABLE `settings` (
  `nombre` varchar(255) NOT NULL,
  `valor` varchar(255) NOT NULL,
  PRIMARY KEY  (`nombre`)
) DEFAULT CHARSET=utf8;

# Table: 'sidebar' structure
CREATE TABLE `sidebar` (
  `id` int(11) NOT NULL auto_increment,
  `titulo` varchar(100) NOT NULL,
  `file` varchar(100) NOT NULL,
  `estado` enum('enabled','disabled') NOT NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'sidebar' data
INSERT INTO `sidebar` VALUES(1, 'Enlaces', 'links', 'enabled');
INSERT INTO `sidebar` VALUES(2, 'Otros', 'other', 'enabled');
INSERT INTO `sidebar` VALUES(3, 'Papers', 'cfp', 'enabled');


# Table: 'templates' structure
CREATE TABLE `templates` (
  `id` int(11) NOT NULL auto_increment,
  `nombre` varchar(100) default NULL,
  `autor` varchar(100) default NULL,
  `path` varchar(100) default NULL,
  `imagen` varchar(100) default NULL,
  `por_defecto` enum('0','1') default '1',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'templates' data
INSERT INTO `templates` (`id`, `nombre`, `autor`, `path`, `imagen`, `por_defecto`) VALUES(1, 'Emplode', 'Arcsin', 'emplode', 'emplode.jpg', '1');
INSERT INTO `templates` (`id`, `nombre`, `autor`, `path`, `imagen`, `por_defecto`) VALUES(2, 'Colorvoid', 'Arcsin', 'colorvoid', 'colorvoid.jpg', '0');
INSERT INTO `templates` (`id`, `nombre`, `autor`, `path`, `imagen`, `por_defecto`) VALUES(3, 'Vector Lover', 'Arcsin', 'vector_lover', 'vector_lover.jpg', '0');

# Table: 'usuarios' structure
CREATE TABLE `usuarios` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(50) default NULL,
  `password` varchar(64) default NULL,
  `secret_key` varchar(64) default NULL,
  `email` varchar(100) default NULL,
  `website` varchar(100) default NULL,
  `display_name` varchar(50) default NULL,
  `registrado` datetime default '0000-00-00 00:00:00',
  `ultimo_acceso` datetime default '0000-00-00 00:00:00',
  `nivel` enum('usuario','administrador','revisor') default 'usuario',
  `estado` enum('0','1') default '1',
  PRIMARY KEY  (`id`)
)  DEFAULT CHARSET=utf8;

# Table: 'cfp' structure
CREATE TABLE `cfp` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `nombre` varchar(50) character set utf8 default NULL,
  `nombre_fichero` varchar(255) character set utf8 default NULL,
  `tema` varchar(100) character set utf8 NOT NULL,
  `descripcion` mediumtext character set utf8 default NULL,
  `contenido` longblob NOT NULL,
  `tipo` varchar(150) character set utf8 NOT NULL,
  `tamanio` int(10) NOT NULL,
  `tamanio_unidad` varchar(150) character set utf8 NOT NULL,
  `fecha_envio` datetime default '0000-00-00 00:00:00',
  `estado` enum('revisado','revision','recibido') character set utf8 NOT NULL default 'recibido',
  `revisiones` int(1) default '0',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'certificado' structure
CREATE TABLE `certificado` (
  `id` int(11) NOT NULL auto_increment,
  `nombre` varchar(50) character set utf8 default NULL,
  `nombre_fichero` varchar(255) character set utf8 default NULL,
  `autor` varchar(50) character set utf8 NOT NULL,
  `contenido` longblob NOT NULL,
  `tipo` varchar(150) character set utf8 NOT NULL,
  `tamanio` int(10) NOT NULL,
  `tamanio_unidad` varchar(150) character set utf8 NOT NULL,
  `por_defecto` enum('0','1') character set utf8 default '0',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'revision' structure
CREATE TABLE `revision` (
  `id` int(11) NOT NULL auto_increment,
  `paper_id` int(11) NOT NULL,
  `valoracion` enum('1','2','3','4','5') character set utf8 NOT NULL,
  `resumen` longtext character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

# Table: 'calendario' structure
CREATE TABLE `calendario` (
  `id` int(11) NOT NULL auto_increment,
  `ponencia` varchar(50) character set utf8 NOT NULL,
  `ponente` varchar(30) character set utf8 NOT NULL,
  `dia` enum('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24','25','26','27','28','29','30','31') character set utf8 default NULL,
  `hora` enum('07:30','08:00','08:30','09:00','09:30','10:00','10:30','11:00','11:30','12:00','12:30','13:00','13:30','14:00','14:30','15:00','15:30','16:00','16:30','17:00','17:30','18:00','18:30','19:00','19:30','20:00','20:30','21:00','21:30','22:00','22:30') character set utf8 NOT NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;
